<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 出品中リスト削除確認
 *
 * @package     Seller.Itemexhibit.Now.Confirm
 * @author      S.Oguma <shinichiro.oguma@netnee.jp>
 * @access      public
 */
class Seller_Itemexhibit_Now_Confirm
{
    var $view;
    var $auth;
    var $session;

    var $bodyid;
	// ページ情報
	var $pagename;
    var $title;

    var $results;
    var $itemregist;
    var $itemregist_serial;
    var $actionChain;

	// 入力パラメータ
    var $cd;

    // DB
    var $itemexhibit;
    var $data;
    var $cnt;
    
    // エラー処理
    var $errormsg;

    var $list_check;
    var $list_check_serial;
    var $next;

	var $sort;
	var $pageID;
	var $listsize;
    
    /**
     * Actionの実行
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Now_Confirmが実行されました", "Seller_Itemexhibit_Now_Confirm#execute");

    	// コード展開 & DBへの要求リスト作成
    	if( is_array($this->cd) )
    	{
    		$where = array();
    		
    		//cd = itemcd|structcd|stock.stockcd
            $cnt = 0;
    		foreach( $this->cd as $key=>$val)
    		{
 				$cnt++;
    			if( preg_match("/^([0-9]+)\|([0-9]+)\|([0-9]+)$/", $val, $match) )
    			{
    				$itemcd   = $match[1];
    				$structcd = $match[2];
    				$stockcd  = $match[3];
    				
    				$where[] = array(
    				    "s.itemcd = ".$itemcd,
    				    "s.structcd = ".$structcd,
    				    "s.stockcd =".$stockcd
    				);
    				 
    				} else {
					$this->errormsg = "無効なコードが指定されました";
					return "input";
    				}
    		}
    	} else {
    		$this->errormsg = "コードが指定されていません";
    		return "input";
    	}

        //$log->debug("this=".print_r($this->auth->auth->session['data']['membercd'] true), "Seller_Itemexhibit_Now_Confirm#execute");

    	// DBからリスト取得
        $this->data = $this->itemexhibit->getItemexhibitList2($cnt,
                                                             0,
                                                             $where,
                                                             NULL,
                                                             'itemcd');
    	$this->cnt  = array_pop($this->data);

        return 'success';
    }

	function setList_check(&$list_check)
	{
   		 $this -> list_check =& $list_check;
	}

    function getList_check()
	{
    	return $this -> list_check;
	}

    function setList_check_serial($value)
    {
        $value = urldecode($value);
        $this -> list_check_serial = $value;
        $this -> list_check = unserialize($value);
    }

    function getList_check_serial()
    {
        return urlencode(serialize($this -> list_check));
    }
    
    function setNext($value)
    {
        $this -> next = $value;
    }
    
    function getNext()
    {
        return $this -> next;
    }

    function getVariationNm($params)
    {
        return $this->itemexhibit->getVariationNm($params["itemcd"], $params["structcd"]);
    }
}
?>